//
// IUT de Nice / Departement informatique / Module API
// Annee 2009_2010 - Charte des tests unitaires
//
// fichiers Tests : services pour la mise en oeuvre de la charte de
//                tests unitaires presentes en cours
//
// 
//
// 
//

/*
 *
 * Le fichier Tests fournit un ensemble complet de services destinés à 
 * simplifier et à uniformiser la mise en oeuvre de la charte de 
 * réalisation des modules de tests unitaires.
 *
 * Les services fournis sont :
 *
 * Begin    : debut d'exécution des tests unitaires de la classe cible,
 * Design   : executer un "test design",
 * Case     : executer un "test case",
 * Unit     : executer un "test unit",
 * End      : fin d'execution des tests unitaires de la classe cible.
 *
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream>
#include <math.h>

using namespace std;


extern int  levelDesign;         // Numero d'ordre du test_design 
extern int  levelCase;           // Numero d'ordre du test_case
extern int  levelUnit;           // Numero d'ordre du test_unit
extern int  verboseLevel;        // Niveau courant de visualisation
extern  int statusDesign;        // CR du test_design courant
extern int  statusCase;          // CR de test_case courant
extern bool testBegin;		     // Indicateur execution Begin
extern char designName[80];      // Nom du test design courant;
extern char caseName[80];        // Nom du test case courant

  bool valid(char*);
  void visuCR(char*);

  void visuEntete(char*, char*);
  void visuEntete(char*);
  void visuEntete();
  void visuUnit(char*, char*);



  void Begin(char*, char*);
  void Design(char*, int);
  void Case(char*);
  void Case(char*, int);
  void Unit(int, int);
  void Unit(float, float);
  void Unit(char*, char*);
  void Unit(double, double);
  void Unit(double, double, double);
  void End();




